Bug 119295 - Blue text selection starts blinking on mouse movement under certain conditions (especially with trackpad)
Summary: Blue text selection starts blinking on mouse movement under certain condition...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Main-Loop
  Show dependency treegraph
 
Reported: 2018-08-15 12:12 UTC by Telesto
Modified: 2021-09-21 04:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Bibisect log (5.19 KB, text/plain)
2018-08-15 12:25 UTC, Telesto
Details
Example file (22.88 KB, application/vnd.oasis.opendocument.text)
2018-08-26 09:14 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-15 12:12:24 UTC
Description:
Blue text selection starts blinking on mouse movement under certain conditions (especially with trackpad)

Steps to Reproduce:
1. Open the attached file
2. Select the text in A1 - the content not the cell from top left to bottom right
3. Go outside the table & move the mouse around while holding still holding the left mouse click
4. Blue text selection starts blinking as crazy
5. Remove the embedded table in B1
6. Do the same again (everything is fine)

Actual Results:
Blue text selection starts blinking as crazy

Expected Results:
Shouldn't happen 


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: c0fdcece6b886912618deee9656cb2d169a9b999
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-12_00:35:45
Locale: en-US (nl_NL); Calc: CL

and in
Version: 6.0.0.1.0+
Build ID: 47cc374c0659fd3db74a1b184c870eaa56bc385b
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL

but not with
Version: 5.4.1.0.0+
Build ID: f200d5700782ae179fd96b6ad4b0fe8e7edd1616
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Telesto 2018-08-26 09:14:22 UTC
Created attachment 144445 [details]
Example file

I forgot to add the example. This is a different one, with the same issue

Enter cell B1 & select the content above the embedded table. Deselect a part of the content, word for word, line for line. It's blinking

Same happens in A1. But not in A2 or B2
Comment 3 Buovjaga 2018-09-20 10:02:17 UTC
Hmm, strange that you were able to bibisect with 5.0 repo... We got different results.

Bibisected with win32-6.0 to https://cgit.freedesktop.org/libreoffice/core/commit/?id=50799a721c7ddcf9475a1b79984ed64ddd7cdf57

tdf#109997 WIN don't post a callback event directly

Adding Cc: to Jan-Marek Glogowski

Repro also on Linux. The old selecting behaviour feels slower, though.
Comment 4 Buovjaga 2018-09-20 10:02:42 UTC
(In reply to Buovjaga from comment #3)
> Hmm, strange that you were able to bibisect with 5.0 repo... We got
> different results.
> 
> Bibisected with win32-6.0 to
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=50799a721c7ddcf9475a1b79984ed64ddd7cdf57
> 
> tdf#109997 WIN don't post a callback event directly
> 
> Adding Cc: to Jan-Marek Glogowski
> 
> Repro also on Linux. The old selecting behaviour feels slower, though.

Forgot to add CC
Comment 5 Jan-Marek Glogowski 2018-09-20 10:33:32 UTC
(In reply to Buovjaga from comment #3)
> Hmm, strange that you were able to bibisect with 5.0 repo... We got
> different results.
> 
> Bibisected with win32-6.0 to
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=50799a721c7ddcf9475a1b79984ed64ddd7cdf57
> 
> tdf#109997 WIN don't post a callback event directly
> 
> Adding Cc: to Jan-Marek Glogowski
> 
> Repro also on Linux.

This change is Windows only (that's why it starts with WIN).
If you can reproduce it on Linux, it can't be this change.

> The old selecting behaviour feels slower, though.

That was the point of all the Scheduler rework. I don't remember how many bugs were covered by slow LO behavior.

My guess would be that this bug has always been there, but the slowness covered it. And a paint event is processed too early, before repaint is finished for whatever reason.
Comment 6 QA Administrators 2019-09-21 03:07:52 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2021-09-21 04:52:44 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug